> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List work orders with optional filtering

> List work orders with optional filtering

### Query parameters

<ParamField query="status" type="string" />

<ParamField query="priority" type="string" />

<ParamField query="work_center_id" type="string" />

<ParamField query="assigned_to" type="string" />

<ParamField query="product_id" type="string" />

<ParamField query="start_date" type="string" />

<ParamField query="end_date" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ApiResponse_PaginatedResponse_WorkOrderResponse">
  List work orders
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<ResponseField name="403" type="ErrorResponse">
  Forbidden
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/work-orders' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "items": [
        {
          "asset_id": null,
          "assigned_to": null,
          "bill_of_materials_number": null,
          "created_at": null,
          "description": null,
          "due_date": null,
          "id": null,
          "parts_required": null,
          "priority": null,
          "quantity_produced": null,
          "status": null,
          "title": null,
          "updated_at": null
        }
      ],
      "limit": 1,
      "page": 1,
      "total": 1,
      "total_pages": 1
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
